Package org.apache.nutch.parse

## Class ParseText

- java.lang.Object
- - org.apache.nutch.parse.ParseText

- All Implemented Interfaces:
    `Writable`

      public final class ParseText
      extends Object
      implements Writable

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DIR_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParseText()` |
    `ParseText​(String text)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getText()` |
    `static void` | `main​(String[] argv)` |
    `static ParseText` | `read​(DataInput in)` |
    `void` | `readFields​(DataInput in)` |
    `String` | `toString()` |
    `void` | `write​(DataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DIR_NAME

          public static final String DIR_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ParseText

          public ParseText()

    - #### ParseText

          public ParseText​(String text)

  - ### Method Detail

    - #### readFields

          public void readFields​(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### write

          public final void write​(DataOutput out)
                           throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### read

          public static final ParseText read​(DataInput in)
                                      throws IOException

      Throws:
        `IOException`

    - #### getText

          public String getText()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### main

          public static void main​(String[] argv)
                           throws Exception

      Throws:
        `Exception`